import java.util.Scanner;
public class NumerosEnLed
{
  public static void main(String[] args) 
  { 
    Scanner teclado = new Scanner(System.in);
    System.out.println("Numeros en LED");
    System.out.println();
    
    
    
    System.out.print("Numero a mostrar [0 = Salir]: "); 
    teclado.skip("[\n\r\t ]*");
    String numero = teclado.nextLine();
    if (numero.equals("0"))
      return;
    System.out.print("Factor de aumento (x): "); 
    int factorAumento = teclado.nextInt();
    
    for (int k = 0; k < numero.length(); ++k)
    {
      if (numero.charAt(k) == '1')
      {
        for(int i = 1; i <= factorAumento * 3; ++i)
        {
          for (int j = 1; j <= factorAumento; ++j)
            System.out.print("#");
          
          System.out.println();
        }
      }
      
      System.out.println();
      
      if (numero.charAt(k) == '0')
      {
        int i = 0;
        int j = 0;
        for(i = 1; i <= factorAumento; i = i + 1)
        {
          for (j = 1; j <= factorAumento*3; j = j +1)
          {
            
            System.out.print("#"); 
            
            
            
            
            
          } 
          
          System.out.println();  
          
        }
        
        
        
        
        
        
        
      }
      
      
    }
  }
}











